Beschikbare bestelstatussen
Haal de beschikbare statussen op. Elke status heeft een naam en identificatie om bestellingen te filteren of hun status te wijzigen.
GET
/api/v1/order-statusescURL-aanvraag
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/order-statuses?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Antwoord
{
"data": [
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-0",
"is_initial": true,
"name": "New",
"position": 0
},
{
"created_at": "2026-01-01T12:00:00Z",
"id": "status-1",
"is_initial": false,
"name": "Processing",
"position": 1
}
],
"meta": {
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}
Vereiste rechten
- Authenticatie
- Toegangstoken
- Beschikbaar vanaf
- BASIC
- Recht van de sleutel
- Bekijk bestellingen
orders.order:read